import request from '@/utils/request'
import qs from 'qs'
import { upcloud_base_wh_outbound ,SERVICE_DATA_API_BASE,SERVICE_CTRL_TOWER} from "@/config/serviceSettings";

/* 波次"库存"预占查询 GET */
export function wave_bill_itemLocator(params) {
  return request({
    url: upcloud_base_wh_outbound + '/wave/bill/item/locator/',
    method: 'get',
    params: params,
	headers: {
	  'content-type': 'application/x-www-form-urlencoded'
	}
  })
}

/* 集货区任务（波次暂存区预占查询 GET） */
export function wave_bill_workstage(params) {
  return request({
    url: upcloud_base_wh_outbound + '/workstage/',
    method: 'get',
    params: params,
	headers: {
	  'content-type': 'application/x-www-form-urlencoded'
	}
  })
}



/* 出库中心 ——> 波次出库 ——> 拣选任务管理
 条件分页查询(接口id) post  */
 export function  search_page(params){
	 return request ({
		 url: SERVICE_DATA_API_BASE+'/search/page',
		 method: 'post',
		 data: params
	 })
 }

/* 出库中心 ——> 波次出库 ——> 拣选任务管理
 件查询所有(接口id) 不带分页 post  */
 export function  search_noPage(params){
	 return request ({
		 url: SERVICE_DATA_API_BASE+'/search',
		 method: 'post',
		 data: params
	 })
 }

/* 出库中心 ——> 波次出库 ——> 拣选任务管理
 取消拣货任务 get  */
 export function  cancel_picktask(params){
	 return request ({
		 url: upcloud_base_wh_outbound + '/picktask/cancel-picktask',
		 method: 'get',
		 params: params
	 })
 }

/* 波次"补货任务（更新移库任务状态 post） */
export function updateStatus(params) {
  return request({
    url: upcloud_base_wh_outbound + '/moveTask/updateStatus',
    method: 'post',
    data: params,
  })
}

/* 波次"/波次/集货区转移 post） */
export function workstage_transfer(params) {
  return request({
    url: upcloud_base_wh_outbound + '/workstage/transfer',
    method: 'post',
    data: params,
  })
}

//获取货主信息
export function getAuthByUser(params) {
  return request({
    url: SERVICE_CTRL_TOWER+'/userDataAuth/allDataAuthByUser/',
    method: 'get',
    // headers: { 'Content-Type': 'application/json' },
    params: params
  })
}
